Project

General

Profile

Feature #5313

Please drop IRB's version in favour of Ruby version

Added by vo.x (Vit Ondruch) over 7 years ago. Updated 3 months ago.

Status:
Closed
Priority:
Normal
Target version:
-
[ruby-core:39505]

Description

It seems that IRB's upstream lives in Ruby's SVN. There is no way how to update IRB separate from Ruby. From that point of view, it would make sense to drop IRB's own version numbers in favour of Ruby versions instead. The IRB reports this version information:

irb -v
irb 0.9.6(09/06/30)

However from the IRB changelog [1] it is clear that there went some changes in meantime, so the IRB's versioning is not reliable and does not make a sense IMO.

[1] https://github.com/ruby/ruby/commits/trunk/lib/irb

History

Updated by nobu (Nobuyoshi Nakada) over 7 years ago

  • Category set to lib
  • Status changed from Open to Assigned
  • Assignee set to keiju (Keiju Ishitsuka)
  • Priority changed from Normal to 3

Updated by mame (Yusuke Endoh) over 6 years ago

  • Target version set to 2.6

Updated by vo.x (Vit Ondruch) about 1 year ago

This is still issue. Gemifying IRB might help with that ...

#4

Updated by naruse (Yui NARUSE) about 1 year ago

  • Target version deleted (2.6)

Updated by hsbt (Hiroshi SHIBATA) 10 months ago

  • Assignee changed from keiju (Keiju Ishitsuka) to hsbt (Hiroshi SHIBATA)

Updated by vo.x (Vit Ondruch) 3 months ago

  • Status changed from Assigned to Closed

I hope the situation should be better since r63915 which makes IRB default gem. Now if only the version was properly increased ...

Also available in: Atom PDF